﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms
Partial Public Class _Default
	Inherits System.Web.UI.Page

	Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Not IsPostBack Then
			Dim start As New DateTime(DateTime.Now.Year, DateTime.Now.Month, DateTime.Now.Day, 8, 0, 0)
            start = New DateTime(start.Year, start.Month, 1)

			'create some weekday events
			Dim [date] As DateTime = start
			While [date].DayOfWeek <> DayOfWeek.Tuesday
                [date] = [date].AddDays(1)
			End While
			For i As Integer = 0 To 4
				Dim app As New Appointment()
				app.HeaderText = "Workday event"
				app.Details = "Never do this on weekends!"
                app.StartTime = [date].AddDays(i * 7)
				app.EndTime = app.StartTime.AddHours(8)
				app.CssClass = "Workday"
				Calendar1.Schedule.Items.Add(app)
			Next

			'create some weekend events
			[date] = start
			While start.DayOfWeek <> DayOfWeek.Sunday
                start = start.AddDays(1)
			End While
			For i As Integer = 0 To 4
				Dim app As New Appointment()
				app.HeaderText = "Weekend event"
				app.Details = "Never do this on weekdays!"
                app.StartTime = start.AddDays(i * 7)
				app.EndTime = app.StartTime.AddHours(8)
				app.CssClass = "Weekend"
				Calendar1.Schedule.Items.Add(app)

			Next
		End If
	End Sub
End Class
